/* #Declinazione di responsabilità. 
#I file rilasciati in formato testo sono provvisti anche dei programmi di importazione per STATA, SAS e R. 
#L'Istat non garantisce che le funzioni contenute nei suddetti programmi siano esenti da errore e non si assume alcuna responsabilità sull’output ottenuto dal loro utilizzo.       */
/*  I valori delle label nelle variabili categoriche sono commentati a causa della presenza di codici non esclusivamente numerici. Comunque sono completamente documentati.  */
clear all
infile  using  PGM_2018_HOUSEHOLD_REGISTER_(D-FILE)_Longitudinal_EN_DELIMITED.dct, clear
/*
label define  db020_cl1 AT   "Osterreich" BE   "Belgique/Belgie" BG   "Bulgaria" CH   "Switzerland" CY   "Cyprus" CZ   "Czech Republic" DE   "Deutschland" DK   "Denmark" EE   "Estonia" EL   "Ellada" ES   "Espana" FI   "Suomi" FR   "France" HR   "Croatia" HU   "Hungary" IE   "Ireland" IS   "Iceland" IT   "Italia" LT   "Lithuania" LU   "Luxembourg" LV   "Latvia" ME   "Montenegro" MK   "The Former Yugoslav Republic of Macedonia (FYROM)" MT   "Malta" NL   "Nederland" NO   "Norway" PL   "Poland" PT   "Portugal" RO   "Romania" RS   "Serbia" SE   "Sverige" SI   "Slovenia" SK   "Slovak Republic" TR   "Turkey" UK   "United Kingdom"  
label define  db040_cl3 ITC   "Northwest Italy" ITF   "South Italy" ITG   "Insular Italy" ITH   "Northeast Italy" ITI   "Central Italy"  
label define  db040_f_cl4 1   "Filled according to NUTS-10" -1   "Missing"  
label define  db060_f_cl6 1   "Rotation is implemented at PSU level (the PSU rotates in and out of the sample)" 2   "Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EUSILC)" -2   "Not applicable (no first or second sampling stage)"  
label define  db062_f_cl8 1   "Rotation is implemented at PSU level (the PSU rotates in and out of the sample)" 2   "Rotation is implemented at SSU or household level (The PSU remains in the sample for the entire duration of EUSILC)" -2   "Not applicable (no first or second sampling stage)"  
label define  db070_f_cl10 -2   "Not applicable (no systematic selection)"  
label define  db075_f_cl12 1   "Filled" -2   "Not applicable (no rotational design used)"  
label define  db095_f_cl14 1   "Filled" -2   "Not applicable (DB110 equal 9) and DB010 eq last year"  
label define  db100_cl15 1   "Densely-populated area" 2   "Intermediate area" 3   "Thinly-populated area"  
label define  db100_f_cl16 1   "Filled" -1   "Missing (allowed only from wave 2 onwards)"  
label define  db110_cl17 1   "At the same address as last interview" 2   "Entire household moved to a private household within the country" 3   "Entire household moved to a collective household or institution within the country" 4   "Household moved outside the country" 5   "Entire household died" 6   "Household does not contain sample person" 7   "Household unable to access (due to for example climatic conditions)" 8   "Split-off household" 9   "New address added to the sample this wave or first wave" 10   "Fusion" 11   "Lost household (no information on record on what happened to the household)"  
label define  db110_f_cl18 1   "Filled"  
label values  db020 db020_cl1
label values  db040 db040_cl3
label values  db040_f db040_f_cl4
label values  db060_f db060_f_cl6
label values  db062_f db062_f_cl8
label values  db070_f db070_f_cl10
label values  db075_f db075_f_cl12
label values  db095_f db095_f_cl14
label values  db100 db100_cl15
label values  db100_f db100_f_cl16
label values  db110 db110_cl17
label values  db110_f db110_f_cl18
*/
save  EUSILC_Long_A2018_HOUSEHOLD_REG.dta, replace
